xdr_encode_opaque
Prev | SUN RPC subsystem | Next

## Name

xdr_encode_opaque — Encode variable length opaque data

## Synopsis

`__be32 * xdr_encode_opaque (` | __be32 * | p,
| const void * | ptr,
| unsigned int | nbytes`)`;

## Arguments

`p`

  pointer to current position in XDR buffer.

`ptr`

  pointer to data to encode (or NULL)

`nbytes`

  size of data.

## Description

Returns the updated current XDR buffer position

Prev | Up | Next
xdr_encode_opaque_fixed | Home | xdr_init_encode